#!/bin/sh

# Called with:
#   $1 = %patches
#   $2 = %name of patch package
#   $3 = %kversion

sourcedir="$1/$2"
version_label=`echo "$3" | cut -d. -f1-2`

[ -d "$sourcedir/$version_label" ] || {
	echo "${0##*/}: kernel version $version_label not supported" 1>&2
	exit 1
}

installdir="drivers/net/sk98lin"

(
	set -ex

	rm -rf "$installdir"
	mkdir "$installdir"
	cp -pr "$sourcedir/common"/* "$installdir"/
	cp -pr "$sourcedir/$version_label"/* "$installdir"/

	rm -f Documentation/networking/sk98lin.txt
	cp -p "$sourcedir"/common/sk98lin.txt Documentation/networking/
) || exit 1

exit 0
